
module "container-apps" {
  source = "terraform-aws-modules/container-apps/aws"
  version = "0.4.0"
  container_app_environment = var.container_app_environment
  container_app_environment_infrastructure_subnet_id = var.container_app_environment_infrastructure_subnet_id
  container_app_environment_internal_load_balancer_enabled = var.container_app_environment_internal_load_balancer_enabled
  container_app_environment_name = var.container_app_environment_name
  container_app_environment_tags = var.container_app_environment_tags
  container_app_secrets = var.container_app_secrets
  container_apps = var.container_apps
  dapr_component = var.dapr_component
  dapr_component_secrets = var.dapr_component_secrets
  env_storage = var.env_storage
  environment_storage_access_key = var.environment_storage_access_key
  location = var.location
  log_analytics_workspace = var.log_analytics_workspace
  log_analytics_workspace_allow_resource_only_permissions = var.log_analytics_workspace_allow_resource_only_permissions
  log_analytics_workspace_cmk_for_query_forced = var.log_analytics_workspace_cmk_for_query_forced
  log_analytics_workspace_daily_quota_gb = var.log_analytics_workspace_daily_quota_gb
  log_analytics_workspace_internet_ingestion_enabled = var.log_analytics_workspace_internet_ingestion_enabled
  log_analytics_workspace_internet_query_enabled = var.log_analytics_workspace_internet_query_enabled
  log_analytics_workspace_local_authentication_disabled = var.log_analytics_workspace_local_authentication_disabled
  log_analytics_workspace_name = var.log_analytics_workspace_name
  log_analytics_workspace_reservation_capacity_in_gb_per_day = var.log_analytics_workspace_reservation_capacity_in_gb_per_day
  log_analytics_workspace_retention_in_days = var.log_analytics_workspace_retention_in_days
  log_analytics_workspace_sku = var.log_analytics_workspace_sku
  log_analytics_workspace_tags = var.log_analytics_workspace_tags
  resource_group_name = var.resource_group_name
  tracing_tags_enabled = var.tracing_tags_enabled
  tracing_tags_prefix = var.tracing_tags_prefix
}
